<form name="editForm" id="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.movingSlip.home.createOrEditLabel' | translate}}
        </p-header>
        <div class="modal-body">
            <div class="row">
                <div class="col-md-10">
                    <div class="form-group">
                        <label>Request Moving</label>
                        <input type="text"  pInputText class="form-control" name="request" id="field_request" 
                        [(ngModel)]="selectRequest" [readonly]="true"/>
                    </div>
                </div>
                <div class="col-md-2" style="padding-top:30px">
                    <button pButton type="button"
                        label="Find Request"
                        icon ="fa fa-search"
                        class="ui-button-danger btn-sm"
                        [routerLink]="['/', { outlets: { popup: 'request-product-lov/61/0/0'} }]">
                    </button>
                </div>
            </div>
            <div *ngIf="isShowDetailRequest" class="card-deck" style="margin-bottom: 15px;">
                <div class="card">
                    <div class="card-block">
                        <jhi-request-item-in-moving-slip-as-list
                            [idRequest]="selectRequest"   
                        ></jhi-request-item-in-moving-slip-as-list>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.facilityType.home.title" for="field_facilityType">Facility Type</label>
                <select class="form-control" id="field_facilityType" name="facilityType" [(ngModel)]="selectFacilityTypeTo" (change)="getFacilityByType('to')" [disabled]="isShowDetailRequest">
                    <option [ngValue]="null">Select Facility Type</option>
                    <option [ngValue]="facilityType.idFacilityType" *ngFor="let facilityType of facilityTypesTo; trackBy: trackFacilityTypeById">{{facilityType.description}}</option>
                </select>
            </div>
            <div class="form-group">
                <label class="mandatory" jhiTranslate="mpmApp.movingSlip.facilityTo" for="field_facilityTo">Facility To</label>
                <select class="form-control" id="field_facilityTo" name="facilityTo" [(ngModel)]="selectFacilityTo" (change)="getContainerByFacilityId('to')" [disabled]="isShowDetailRequest" required>
                    <option [ngValue]="null">Select Facility</option>
                    <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilitiesTo; trackBy: trackFacilityById">{{facilityOption.facilityCode}} - {{facilityOption.description}}</option>
                </select>
                <small class="form-text">
                    <i class="fa fa-info-circle" aria-hidden="true"></i> pilih facility type untuk menampilkan data facility
                </small>
            </div>
            <div class="form-group">
                <label class="mandatory" jhiTranslate="mpmApp.movingSlip.containerTo" for="field_containerTo">Container To</label>
                <select class="form-control" id="field_containerTo" name="containerTo" [(ngModel)]="selectContainerTo" required (change)="selectedContainerTo();">
                    <option [ngValue]="null">Select Container</option>
                    <option [ngValue]="containerOption.idContainer" *ngFor="let containerOption of containersTo; trackBy: trackContainerById">{{containerOption.containerCode}}</option>
                </select>
                <small class="form-text" style="font-size:12px !important;">
                    <i class="fa fa-info-circle" aria-hidden="true"></i> pilih facility untuk menampilkan data container
                </small> 
            </div>
            <div class="form-group">
                <p-fieldset styleClass="moving-slip-edit">
                    <p-header>
                        Inventory
                        <small class="form-text">
                            <i class="fa fa-info-circle" aria-hidden="true"></i> pilih facility type, facility, container, dan product kemudian tekan tombol find untuk menampilkan inventory yang akan di pindahkan
                        </small>
                    </p-header>
                    <div class="row">
                        <div class="col-md-4 col-xs-12">
                            <select class="form-control" id="field_facilityTypeFrom" name="facilityTypeFrom" [(ngModel)]="selectFacilityTypeFrom" (change)="getFacilityByType('from')" [disabled]="isShowDetailRequest">
                                <option [ngValue]="null">Select Facility Type</option>
                                <option [ngValue]="facilityType.idFacilityType" *ngFor="let facilityType of facilityTypesFrom; trackBy: trackFacilityTypeById">{{facilityType.description}}</option>
                            </select>
                        </div>
                        <div class="col-md-4 col-xs-12">
                            <select class="form-control" id="field_facilityFrom" name="facilityFrom" [(ngModel)]="selectFacilityFrom" (change)="getContainerByFacilityId('from')" [disabled]="isShowDetailRequest">
                                <option [ngValue]="null">Select Facility</option>
                                <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilitiesFrom; trackBy: trackFacilityById">{{facilityOption.facilityCode}} - {{facilityOption.description}}</option>
                            </select>
                            <small class="form-text">
                                <i class="fa fa-info-circle" aria-hidden="true"></i> pilih facility type untuk menampilkan data facility
                            </small>
                        </div>
                        <div class="col-md-4 col-xs-12">
                            <select class="form-control" id="field_containerFrom" name="containerFrom" [(ngModel)]="selectContainerFrom" >
                                <option [ngValue]="null">Select Container</option>
                                <option [ngValue]="containerOption.idContainer" *ngFor="let containerOption of containersFrom; trackBy: trackContainerById">{{containerOption.containerCode}} - {{containerOption.description}}</option>
                            </select>
                            <small class="form-text">
                                <i class="fa fa-info-circle" aria-hidden="true"></i> pilih facility untuk menampilkan data container
                            </small>
                        </div>
                    </div>
                    <div class="row" style="margin-top:20px;">
                        <div class="col-md-8 col-xs-12">
                            <select class="form-control" id="field_product" name="product" [(ngModel)]="selectProduct" >
                                <option [ngValue]="null">Select Product</option>
                                <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
                            </select>
                        </div>
                        <div class="col-md-4 col-xs-12">
                            <button class="btn btn-primary btn-lg btn-block" type="button" [disabled]="selectRequirementForSelectInventoryToMove()" [routerLink]="['/', { outlets: { popup: 'inventory-item-in-facility-container-as-lov/' + selectProduct + '/' + selectFacilityFrom + '/' + selectContainerFrom } }]">
                                Search <i class="fa fa-search" aria-hidden="true"></i>
                            </button>
                        </div>
                    </div>
                    <hr>
                    <b style="font-weight:600;">List Selected Inventory Items</b>
                    <p-dataTable
                        loadingIcon="fa-spinner"
                        [lazy]="true" 
                        [value]="movingSlips"
                        [editable]="true"
                        [rows]="itemsPerPage" 
                        [paginator]="true" 
                        [rowsPerPageOptions]="[10,15,20]"
                        [totalRecords]="totalRecords" 
                        (onLazyLoad)="loadMovingSlipsCustom($event)"
                    > 
                        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}" [editable]="false">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="Product" [editable]="false">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.productId}}
                            </ng-template>
                        </p-column>
                        <p-column header="Id Frame" [editable]="false">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.idFrame}}
                            </ng-template>
                        </p-column>
                        <p-column header="Id Machine" [editable]="false">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.idMachine}}
                            </ng-template>
                        </p-column>
                        <p-column header="Qty" [style]="{'width': '70px', 'text-align': 'center'}" [editable]="false">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.qtyAwal}}
                            </ng-template>
                        </p-column>
                        <p-column header="Qty Moving" [style]="{'width': '140px', 'text-align': 'center'}" [editable]="true">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.qty}}
                            </ng-template>
                            <ng-template let-col let-rowIndex="rowIndex" let-rowData="rowData" pTemplate="editor">
                                <input type="number" name="qty + rowIndex" id="qty" pInputText [(ngModel)]="rowData.qty" appendTo="body">
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </p-fieldset>
            </div>
        </div>
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>